hotpocket_app:
  deployment_directory: "/srv/hotpocket"
  owner: "hotpocket"
  group: "hotpocket"
  mode: "fullstack"
  loki:
    url: "http://monitoring.vm.snakeweb.net.bthlabs.net:3100/loki/api/v1/push"
    node: "home.vm.snakeweb.net"
  docker:
    extra_hosts:
      - "home.vm:10.0.1.2"
  backend:
    image_tag: "{{ hotpocket_app_image_tag|default('deployment-v25.10.21-01') }}"
    database:
      name: "thisissecret"
      user: "thisissecret"
      host: "thisissecret"
    rabbitmq:
      vhost: "thisissecret"
      user: "thisissecret"
      host: "thisissecret"
    model_auth_is_disabled: true
    env: "production"
    extra_env:
      - "HOTPOCKET_BACKEND_SECRETS_PACKAGE=hotpocket_bthlabs.secrets"
      - "VAULT_URL={{ hotpocket_app_secrets.backend.vault.url }}"
      - "VAULT_ROLE_ID={{ hotpocket_app_secrets.backend.vault.role_id }}"
      - "VAULT_SECRET_ID={{ hotpocket_app_secrets.backend.vault.secret_id }}"
    oidc:
      enabled: true
      endpoint: "thisissecret"
      display_name: "thisissecret"
    webapp:
      settings_module: "hotpocket_bthlabs.settings.webapp"
      loki:
        external_labels: "job=hotpocket,service=backend-webapp,environment=production"
      allowed_hosts:
        - "my.hotpocket.app"
    admin:
      settings_module: "hotpocket_bthlabs.settings.admin"
      loki:
        external_labels: "job=hotpocket,service=backend-admin,environment=production"
      allowed_hosts:
        - "admin.hotpocket.app"
    celery_worker:
      concurrency: 2
      loki:
        external_labels: "job=hotpocket,service=backend-celery-worker,environment=production"
    celery_beat:
      loki:
        external_labels: "job=hotpocket,service=backend-celery-beat,environment=production"
  customization:
    - src: "{{ inventory_dir }}/env_vars/production/etc/backend/entrypoint.d/01-install-customized-deps.sh"
      dest: "etc/backend/entrypoint.d/01-install-customized-deps.sh"
      mode: "755"
    - src: "{{ inventory_dir }}/env_vars/production/etc/backend/entrypoint.d/99-collectstatic.sh"
      dest: "etc/backend/entrypoint.d/99-collectstatic.sh"
      mode: "755"
    - src: "{{ inventory_dir }}/env_vars/production/lib/backend/requirements.txt"
      dest: "lib/backend/requirements.txt"
